#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Folks-0.15.4

- Next

  Tracker-3.2.1

- Up
- Home

# gfbgraph-0.2.5

## Introduction to gfbgraph

The gfbgraph package contains a GObject wrapper for the Facebook Graph API.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gfbgraph/0.2/gfbgraph-0.2.5.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gfbgraph/0.2/gfbgraph-0.2.5.tar.xz

- Download MD5 sum: 05af5bd8af691a8e8de265fe061f6705

- Download size: 280 KB

- Estimated disk space required: 5.7 MB

- Estimated build time: 0.1 SBU

### gfbgraph Dependencies

#### Required

gnome-online-accounts-3.40.1 and rest-0.8.1

#### Recommended

gobject-introspection-1.70.0

#### Optional

GTK-Doc-1.33.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gfbgraph

## Installation of gfbgraph

Install gfbgraph by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

This package does not have a working testsuite.

Now, as the `root` user:

    make libgfbgraphdocdir=/usr/share/doc/gfbgraph-0.2.5 install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libgfbgraph-0.2.so
Installed Directories: /usr/include/gfbgraph-0.2, /usr/share/doc/gfbgraph-0.2.5, and /usr/share/gtk-doc/html/gfbgraph-0.2

### Short Descriptions

`libgfbgraph-0.2.so` | is a GObject wrapper for the Facebook Graph API

Last updated on

- Prev

  Folks-0.15.4

- Next

  Tracker-3.2.1

- Up
- Home